


.. _gulp_definition:

===================================
gulp definition
===================================

.. contents::
   :depth: 3

What is gulp ?
================

- Automation - gulp is a toolkit that helps you automate painful or
  time-consuming tasks in your development workflow.
- Platform-agnostic - Integrations are built into all major IDEs and people
  are using gulp with PHP, .NET, Node.js, Java, and other platforms.
- Strong Ecosystem - Use npm modules to do anything you want + over 2000
  curated plugins for streaming file transformations
- Simple - By providing only a minimal API surface, gulp is easy to learn
  and simple to use
